# IceStorm::TopicManager

## Overview

### interface TopicManager

A topic manager manages topics, and subscribers to topics.

#### See Also

Topic

## Operation Index

create
  Create a new topic.
retrieve
  Retrieve a topic by name.
retrieveAll
  Retrieve all topics managed by this topic manager.
getSliceChecksums
  Returns the checksums for the IceStorm Slice definitions.

## Operations

### Topic* create(string name) throws TopicExists

Create a new topic. The topic name must be unique, otherwise TopicExists is raised.

#### Parameters

name
  The name of the topic.

#### Return Value

A proxy to the topic instance.

#### Exceptions

TopicExists
  Raised if a topic with the same name already exists.

### Topic* retrieve(string name) throws NoSuchTopic

Retrieve a topic by name.

#### Parameters

name
  The name of the topic.

#### Return Value

A proxy to the topic instance.

#### Exceptions

NoSuchTopic
  Raised if the topic does not exist.

### TopicDict retrieveAll()

Retrieve all topics managed by this topic manager.

#### Return Value

A dictionary of string, topic proxy pairs.

### ::Ice::SliceChecksumDict getSliceChecksums()

Returns the checksums for the IceStorm Slice definitions.

#### Return Value

A dictionary mapping Slice type ids to their checksums.